<?php


namespace Magetop\Advancepreview\Plugin\Quote\Model\Quote;


class Item
{
    public function aroundRepresentProduct(
        \Magento\Quote\Model\Quote\Item $subject,
        \Closure $proceed,
        $product
    ) {
        $writer = new \Zend\Log\Writer\Stream(BP . '/var/log/TIME.log');
        $logger = new \Zend\Log\Logger();
        $logger->addWriter($writer);
        $logger->info('after get product ot cart rest api'.$subject->getQuoteId());
        return false;
    }
}
